import { CreatePositionChangeParams, EdgeChange, EdgeSelectionChange, ElementChange, FlowElement, FlowElements, GraphNode, NodeChange, NodeSelectionChange, NodePositionChange } from "../types";
export declare const applyChanges: <T extends FlowElement<any, any> = GraphNode<any>, C extends ElementChange = T extends GraphNode<any> ? NodeChange : EdgeChange>(changes: C[], elements: T[]) => T[];
export declare const createSelectionChange: (id: string, selected: boolean) => NodeSelectionChange | EdgeSelectionChange;
export declare const createPositionChange: ({ node, diff, dragging, nodeExtent }: CreatePositionChangeParams) => NodePositionChange;
export declare const getSelectionChanges: (items: FlowElements<any, any>, selectedIds: string[]) => NodeSelectionChange[];
